List bill pay donations
curl --request GET \
--url https://api.hub.younegotiate.com/bill-pay-donations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hub.younegotiate.com/bill-pay-donations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hub.younegotiate.com/bill-pay-donations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"date": "2026-06-30T18:30:00.000000Z",
"date_label": "Jun 30, 2026",
"donor": {
"id": 45,
"first_name": "Alice",
"last_name": "Donor",
"full_name": "Alice Donor",
"email": "alice@example.com",
"phone": "(900) 509-0051"
},
"consumer": {
"id": 987,
"first_name": "Jane",
"last_name": "Debtor",
"full_name": "Jane Debtor",
"dob": "1985-05-10",
"dob_label": "May 10, 1985",
"last4ssn_masked": "**1234",
"account_number_masked": "xxxx-xxxx-xxxx-7890"
},
"company": {
"id": 55,
"company_name": "Acme Recovery",
"owner_full_name": "Donna Owner",
"owner_email": "owner@example.com",
"owner_phone": "(900) 509-0050"
},
"amount": "125.50",
"amount_label": "$125.50",
"qualify": true,
"qualify_label": "Yes",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"stats": {
"total_donations_ytd": 125.5,
"total_donations_ytd_label": "$125.50",
"total_donation_count": 1
}
},
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 10,
"total": 10
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}List bill pay donations
List successful Bill Pay gift donations with year-to-date summary cards, search, sorting, and pagination.
GET
/
bill-pay-donations
List bill pay donations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search by donation date, donor name, consumer name, creditor name, donation amount, consumer DOB, or consumer SSN.
Maximum string length:
255Sort field.
Available options:
date, donor-full-name, consumer-full-name, creditor-name, donation-amount, qualify, consumer-dob, consumer-ssn Sort direction.
Available options:
asc, desc Number of records per page.
Required range:
1 <= x <= 100Last modified on July 20, 2026
Was this page helpful?
⌘I

